/* 
 * File:   pwm.h
 * Author: Owner
 *
 * Created on December 1, 2017, 12:53 AM
 */

#ifndef PWM_H
#define	PWM_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "plib.h"
    
#define THROTTLE 1;
#define PITCH 2;
#define YAW 3;
#define ROLL 4;
    
// ~ 10.6 -> 1 microsecond
static unsigned int mid_rc = 15090;
static unsigned int rx_min_usec = 10060;
static unsigned int rx_max_usec = 20110;

int take_off_start_time;
static int take_off_duration = 1500;

enum FLIGHT {
    take_off,
    land,
    kill,
    hold,
};

enum CONNECTION {
    success,
    failure
};

enum FLIGHT flight;
enum CONNECTION connection;

void pwm_init();

#ifdef	__cplusplus
}
#endif

#endif	/* PWM_H */

